Subject: [Sip] Significance of port in maddr parameter.

From: Vineet Gupta <[email-masked]>
Date: Tue, 22 Dec 2009 17:27:40 +0530

Hi,

Can someone let me know why exactly following statement is present in RFC
3261:

*"The maddr parameter indicates the server address to be contacted for this
user, overriding any address derived from the host field.  When an maddr
parameter is present, the port and transport components of the URI apply to
the address indicated in the maddr parameter value"*

To be specific:
a) What exactly can go wrong on using the port in maddr parameter?
b) In what are situations where port present in Req-URI should be used
rather than port present in maddr parameter?
c) And in what situation port in maddr parameter should be used?

Regards,
Vineet.